import express from "express";
import mediaController from '../../controllers/mediaController.js';
import checkAuthenticated from '../../miscellaneous/checkAuthenticated';

const router = express.Router();

router.get('/:mediaType', mediaController.list);

router.post('/:mediaType', checkAuthenticated, mediaController.create);

router.delete('/:mediaType', checkAuthenticated, mediaController.remove);

export default router;